rte_compressdev(3)

NAME
rte_compressdev

SYNOPSIS

#include <rte_compressdev_internal.h>

  Data Fields

compressdev_dequeue_pkt_burst_t dequeue_burst
compressdev_enqueue_pkt_burst_t enqueue_burst
struct rte_compressdev_data * data
struct rte_compressdev_ops * dev_ops
uint64_t feature_flags
struct rte_device * device
__extension__ uint8_t attached: 1

Detailed Description

The data structure associated with each comp device.

Definition at line 72 of file rte_compressdev_internal.h.

Field Documentation

  compressdev_dequeue_pkt_burst_t dequeue_burst
Pointer to PMD receive function

Definition at line 73 of file rte_compressdev_internal.h.

  compressdev_enqueue_pkt_burst_t enqueue_burst
Pointer to PMD transmit function

Definition at line 75 of file rte_compressdev_internal.h.

  struct rte_compressdev_data* data
Pointer to device data

Definition at line 78 of file rte_compressdev_internal.h.

  struct rte_compressdev_ops* dev_ops
Functions exported by PMD

Definition at line 80 of file rte_compressdev_internal.h.

  uint64_t feature_flags
Supported features

Definition at line 82 of file rte_compressdev_internal.h.

  struct rte_device* device
Backing device

Definition at line 84 of file rte_compressdev_internal.h.

  __extension__ uint8_t attached
Flag indicating the device is attached

Definition at line 88 of file rte_compressdev_internal.h.

Author

Generated automatically by Doxygen for DPDK from the source code.